Retrieve the Opportunity Type Details

From docs
Jump to: navigation, search

Mobile_API »Get Opportunity Types

Base URL

https://apimobile.callproof.com

Endpoint

/api/opportunities-type

Purpose

Retrieves the opportunity types configured for the authenticated user’s company, ordered by position.

HTTP Method

GET

Headers

Header Required Description
Authorization Yes Bearer access token

Security

  • Yes – Requires Bearer Token authentication.

Parameters

Path Parameters

None.

Query Parameters

None.

Request Body

None.

cURL Example for Android

 curl --location 'https://apimobile.callproof.com/api/opportunities-type' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' 

cURL Example for iOS

 curl --location 'https://apimobile.callproof.com/api/opportunities-type' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' 

Successful Response (200)

Returns the company opportunity type list.

Field Type Description
clientStatusCode integer Status indicator for the client (for example, 200)
user_id integer Identifier of the authenticated user
company_id integer Identifier of the authenticated user’s company
data object Opportunity type payload
uri string Requested resource URI

data.opportunity_type[]

Field Type Description
id integer Unique identifier of the opportunity type
name string Display name of the opportunity type

Error Responses

Status Code Meaning
400 Bad Request – opportunity types could not be retrieved
401 Unauthorized – missing, invalid, or expired Bearer token
  • 400 – An error occurred while retrieving opportunity types (for example, "Error while retrieving the Opportunity types").
  • 401 – Authentication failed or the access token is missing/expired.